metasploit: update, various fixes, a few extra deps, weeeeee

This commit is contained in:
Zero_Chaos 2012-04-23 03:12:53 +00:00
parent d5c6a7bd06
commit 6b081db61a
12 changed files with 345 additions and 9 deletions

View file

@ -1,3 +1,3 @@
DIST mini_exiftool-1.0.1.gem 48128 RMD160 e057a67a030f738300ec0941af203b54dc01751b SHA1 0dcf9ee31c561f7c5621fd0360650bed6673926d SHA256 0ce0f5922868f2b2c3318d879669aa7ce7872641e587f6a939158e90f9486fe0
EBUILD mini_exiftool-1.0.1-r1.ebuild 365 RMD160 38cd925b69eba264998e921c6791df258f7e7fcd SHA1 e67817e400c055e4ae9d3020bbbfb2dcf30a1c21 SHA256 70ac6e91a16013b2a4323295453cbbdd14b38a6cc71f043d69aa6e18aa50bfe8
EBUILD mini_exiftool-1.0.1-r1.ebuild 355 RMD160 6f4fc267e1b82e62faf38057ffd490ad7354c114 SHA1 f141e3b490496766487ddc1d801d555567752011 SHA256 ea499ee7300eace003924ce6e110c303d2094018bcdef67963218816d011b214
EBUILD mini_exiftool-1.0.1.ebuild 343 RMD160 ea46c26d8c6ab2a5b5ac0bc98c7211c32c9dfd0f SHA1 34071f2891b5b838de56fb8d1b38c613bbb6ab93 SHA256 e088319c076b7b19b5d5688d5713589d568080f3d8b3c400aeaa39b3138ace7f

View file

@ -16,5 +16,4 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="$RDEPEND
media-libs/exiftool"
RDEPEND="media-libs/exiftool"

View file

@ -0,0 +1,3 @@
AUX nokogiri-1.4.4-libxml-2.7.8.patch 729 RMD160 06a660ef03645ca35cf93fb5aa5ec46a5ce0da34 SHA1 9bcd7a6fbefc75db8691200e9714460864a51ed3 SHA256 56fbfb502adbb04dc77373a2d7c3708cf7b7cf21f0419f2fc6ff40dc6fa56321
DIST nokogiri-1.5.2.tgz 1988760 RMD160 5acd8d4bbf8916f53237b102db21049510539e73 SHA1 fb75adc5fe4ea7e9cf6defdd634dc7614b2da045 SHA256 d977baa45baa700c107a25eefea6e4b4b2771dd05204d734eee2dab9d69b1dbc
EBUILD nokogiri-1.5.2.ebuild 3224 RMD160 b7e6d61c51551dc2054593c42aa6b3fc9f840d05 SHA1 6fd077bf729e72a3efdaa15324b3b630745e9527 SHA256 69a34ed580f5c7a1683e0949c1758d16781d19bd91f1a9d7de36f40a53133a8a

View file

@ -0,0 +1,19 @@
commit abe249425bef0356f54408b89c9f376c62862e87
Author: Mike Dalessio <mike@csa.net>
Date: Wed Dec 8 10:23:52 2010 -0500
hey now. this test was failing for LIBXML > 2.7.7. sigh.
diff --git a/test/html/test_element_description.rb b/test/html/test_element_description.rb
index 2111cde..cfa9ca6 100644
--- a/test/html/test_element_description.rb
+++ b/test/html/test_element_description.rb
@@ -56,7 +56,7 @@ module Nokogiri
def test_subelements
sub_elements = ElementDescription['body'].sub_elements
- if Nokogiri::LIBXML_VERSION == '2.7.7'
+ if Nokogiri::LIBXML_VERSION >= '2.7.7'
assert_equal 65, sub_elements.length
else
assert_equal 61, sub_elements.length

View file

@ -0,0 +1,110 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/nokogiri/nokogiri-1.5.0-r2.ebuild,v 1.4 2012/03/02 09:51:03 naota Exp $
EAPI=4
USE_RUBY="ruby18 ruby19 ree18 jruby"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.rdoc CHANGELOG.ja.rdoc README.rdoc README.ja.rdoc"
inherit ruby-fakegem eutils multilib
DESCRIPTION="Nokogiri is an HTML, XML, SAX, and Reader parser."
HOMEPAGE="http://nokogiri.rubyforge.org/"
LICENSE="MIT"
SRC_URI="https://github.com/tenderlove/nokogiri/tarball/v${PV} -> ${P}.tgz"
RUBY_S="tenderlove-nokogiri-*"
KEYWORDS="~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
IUSE=""
RDEPEND="${RDEPEND}
dev-libs/libxml2
dev-libs/libxslt"
DEPEND="${DEPEND}
dev-libs/libxml2
dev-libs/libxslt"
# The tests require _minitest_, not the virtual; what is shipped with
# Ruby 1.9 is *not* enough, unfortunately
ruby_add_bdepend "
dev-ruby/rake-compiler
dev-ruby/rexical
dev-ruby/hoe
dev-ruby/rdoc
dev-ruby/racc
test? ( dev-ruby/minitest )"
all_ruby_prepare() {
sed -i \
-e '/tasks\/cross_compile/s:^:#:' \
-e '/:test.*prerequisites/s:^:#:' \
Rakefile || die
# Remove the cross compilation options since they interfere with
# native building.
sed -i -e 's/cross_compile = true/cross_compile = false/' Rakefile || die
sed -i -e '/cross_config_options/d' Rakefile || die
}
each_ruby_prepare() {
# These test exclusions should be limited to the specific tests, but
# we are overdue with re-adding jruby so we use the big hammer for now.
case ${RUBY} in
*ruby19)
# Remove test file with failing tests related to encodings.
rm test/xml/test_node_encoding.rb || die
;;
*jruby)
# Remove test files with broken tests,
# https://github.com/tenderlove/nokogiri/issues/496
rm test/html/sax/test_parser.rb test/html/test_document_encoding.rb test/xml/sax/test_push_parser.rb test/xslt/test_exception_handling.rb || die
;;
*)
;;
esac
}
each_ruby_configure() {
case ${RUBY} in
*jruby)
;;
*)
${RUBY} -Cext/${PN} extconf.rb \
--with-zlib-include="${EPREFIX}"/usr/include \
--with-zlib-lib="${EPREFIX}"/$(get_libdir) \
--with-iconv-include="${EPREFIX}"/usr/include \
--with-iconv-lib="${EPREFIX}"/$(get_libdir) \
--with-xml2-include="${EPREFIX}"/usr/include/libxml2 \
--with-xml2-lib="${EPREFIX}"/usr/$(get_libdir) \
--with-xslt-dir="${EPREFIX}"/usr \
--with-iconvlib=iconv \
|| die "extconf.rb failed"
;;
esac
}
each_ruby_compile() {
case ${RUBY} in
*jruby)
${RUBY} -S rake compile || die
;;
*)
if ! [[ -f lib/nokogiri/css/tokenizer.rb ]]; then
${RUBY} -S rake lib/nokogiri/css/tokenizer.rb || die "rexical failed"
fi
if ! [[ -f lib/nokogiri/css/parser.rb ]]; then
${RUBY} -S rake lib/nokogiri/css/parser.rb || die "racc failed"
fi
emake -Cext/${PN} \
CFLAGS="${CFLAGS} -fPIC" \
archflag="${LDFLAGS}" || die "make extension failed"
cp -l ext/${PN}/${PN}$(get_modname) lib/${PN}/ || die
;;
esac
}

View file

@ -7,4 +7,4 @@ DIST framework-2.7.tar.gz 5800216 RMD160 cfdf2705522c845bb4405413207a7df0f3873b9
DIST jboss_seam_remote_command_rb 3412 RMD160 c577b1bd75943f2ddceea3161bc1037dd0150c2f SHA1 b858c726d3ee26317726635373d5db3b7eeb774d SHA256 c87f1cc1b82ed105c7bf551db7e3bad0a787244c4cdd124015a3ff24cedd23df
DIST vbsmem-1.2.1.patch 69002 RMD160 281461151b0d1e453ee613326f4457eebaddebaa SHA1 883a582552e00102be452a2a0105b9e016b3dccc SHA256 7991a5629c562817919c9bb1c8f0a3bdcd1c63cf9b9f32f322d1d266416589d2
EBUILD metasploit-2.7-r1.ebuild 1689 RMD160 c042574474bb0d98280c87221aaa059e4cd19c1a SHA1 153b6db16f42488af570ebafc466935848f137f0 SHA256 160811ff63adbdad713edf6c74375d4cd8463df5492bb0250f72fe772ee24fa8
EBUILD metasploit-9999.ebuild 8526 RMD160 8e948baaaa24e5a0a30ad0258b2b28ae92e59759 SHA1 5893516f12bcd0a892f126d83f2ef0ae2b6d29bf SHA256 d5d7e803319d24c13f9e1ac602c3ca813f689d162a0c654f54c43d93cb371b91
EBUILD metasploit-9999.ebuild 9542 RMD160 50d21bfec88eb83b2480655efafc7358c125e4fb SHA1 2b9073db379b4a55fcc826b279042ca81dc02e16 SHA256 0628d475843559f0408246d65b0ad8d8ab4290d7277a5cbb0fd451185571203c

View file

@ -30,10 +30,12 @@ RDEPEND="dev-lang/ruby
!arm? ( dev-ruby/hpricot
virtual/jdk
dev-ruby/rjb
dev-ruby/msgpack )
>=dev-ruby/msgpack-0.4.6
>=dev-ruby/json-1.6.6
>=dev-ruby/nokogiri-1.5.2 )
postgres? ( dev-db/postgresql-server
!arm? ( dev-ruby/pg
dev-ruby/activerecord[postgres] ) )
!arm? ( >=dev-ruby/pg-0.13.2
>=dev-ruby/activerecord-3.2.2[postgres] ) )
pcaprub? ( net-libs/libpcap )
armitage? ( net-analyzer/nmap )
lorcon? ( net-wireless/lorcon-old )
@ -176,6 +178,17 @@ src_install() {
dosym /usr/$(get_libdir)/${PN}${SLOT}/data/john/run.linux.x86.any /usr/$(get_libdir)/${PN}${SLOT}/data/john/run.linux.x86.mmx
dosym /usr/$(get_libdir)/${PN}${SLOT}/data/john/run.linux.x86.any /usr/$(get_libdir)/${PN}${SLOT}/data/john/run.linux.x86.sse2
#unbundle the key ruby gems and the ones which install binaries so we don't have to allow (more) QA violations
rm -rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/lib/gemcache/ruby/1.9.1/arch
rm -rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/lib/gemcache/ruby/1.9.1/arch-old
rm -rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/lib/gemcache/ruby/1.9.1/specifications/activerecord-*.gemspec
rm -rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/lib/gemcache/ruby/1.9.1/specifications/msgpack-*.gemspec
rm -rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/lib/gemcache/ruby/1.9.1/specifications/json-*.gemspec
rm -rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/lib/gemcache/ruby/1.9.1/specifications/nokogiri-*.gemspec
rm -rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/lib/gemcache/ruby/1.9.1/specifications/pg-*.gemspec
rm -rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/lib/gemcache/ruby/1.9.1/gems/activerecord*
rm -rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/lib/gemcache/ruby/1.9.1/gems/msgpack*
#while we are commiting fixes for filth, let's bogart msfupdate
echo "#!/bin/sh" > "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/msfupdate
echo "echo \"[*]\"" >> "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/msfupdate
@ -187,8 +200,7 @@ src_install() {
pkg_postinst() {
if use postgres; then
elog "You need to prepare the database as described on the following page:"
use postgres && elog "https://community.rapid7.com/docs/DOC-1268"
elog
elog "https://community.rapid7.com/docs/DOC-1268"
fi
elog "If you wish to update ${PN}${SLOT} manually simply run:"

View file

@ -0,0 +1,5 @@
AUX thin-1.2.5-tests.patch 957 RMD160 49ca87c338bddeec4488c76d1a43ad8f969ea52e SHA1 a9968abefaa3d8da0dcbbc458f1a3f4e3627c288 SHA256 44230c552082f06ef4db1d978c5fd71199cec17b47ef8ab701b4eabde3a7e44f
AUX thin.confd 772 RMD160 cce46ac294be31d28575d0f712708335547853d3 SHA1 782323bf5b1cafd65812339a90ff5f935d78010f SHA256 0c6d12deb82208da1acb5ee1f55ed9a5df159ea0f31db9a99b416ca3956a1772
AUX thin.initd 1591 RMD160 d32c9f0b7fc083060305c71d753cf7580b03e9fe SHA1 915d073da08f479e17f7a32076f1f15f4f2c5d53 SHA256 09f7be62b2231a9461b3aafcfddb95fe9ffadbfba1bb5b3044f27f72efe65fea
DIST thin-1.3.1.gem 141824 RMD160 e03d1607b1c00d7458d3fb9dc55a5b0e64c99449 SHA1 e009f5ce3ba092299cd0810652e67c080ffaef14 SHA256 283c01bf7d15d8b3cca47eae4ba03256a38c0a7b0f0c68b952400dab8a19b5f3
EBUILD thin-1.3.1.ebuild 2166 RMD160 fb4738bc3592b81dd2440e5cb993516afedcf75c SHA1 98c9ef9b7c9123c94178453382b873b9a9a5bfa9 SHA256 2717a71322f283cb99aacf90e96758581ff224f5088de22da856720f66e098a0

View file

@ -0,0 +1,27 @@
unchanged:
--- a/spec/request/processing_spec.rb
+++ b/spec/request/processing_spec.rb
@@ -44,6 +44,7 @@ describe Request, 'processing' do
end
it "should set body external encoding to ASCII_8BIT" do
+ pending("Ruby 1.9 compatible implementations only") unless StringIO.instance_methods.include? :external_encoding
Request.new.body.external_encoding.should == Encoding::ASCII_8BIT
end
end
\ No newline at end of file
only in patch2:
unchanged:
--- a/spec/server_spec.rb
+++ b/spec/server_spec.rb
@@ -12,6 +12,10 @@ describe Server do
end
it "should set lower maximum_connections size when too large" do
+ # root users under Linux will not have a limitation on maximum
+ # connections, so we cannot really run this test under that
+ # condition.
+ pending("only for non-root users") if Process.euid == 0
@server.maximum_connections = 100_000
@server.config
@server.maximum_connections.should < 100_000

View file

@ -0,0 +1,20 @@
# /etc/conf.d/thin: Configuration for /etc/init.d/thin*
# Copy this file to /etc/conf.d/thin.SERVERNAME for server specific options.
# Set the configuration file location.
# In start-all mode (/etc/init.d/thin), this must point to the directory where
# all the thin configurations are located.
# When starting a specific server (/etc/init.d/thin.SERVER), point to the exact
# location of the .yml configuration file.
# CONFIG="/etc/thin/${SVCNAME#*.}.yml"
# Disable looking for a configuration file.
# You can use THIN_OPTS instead for setting command line options.
# NOCONFIG=0
# Set the Ruby interpreter to use.
# RUBY="/usr/bin/ruby"
# Set command line options to pass to thin.
# In specific server mode, '--tag SERVER_NAME' is automatically appended.
# THIN_OPTS=

View file

@ -0,0 +1,63 @@
#!/sbin/runscript
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/thin/files/thin.initd,v 1.1 2011/06/12 17:13:51 a3li Exp $
SERVER=${SVCNAME#*.}
if [ ${SERVER} != thin ]; then
CONFIG=${CONFIG:-/etc/thin/${SERVER}.yml}
else
CONFIG=${CONFIG:-/etc/thin/}
fi
NOCONFIG=${NOCONFIG:-0}
RUBY=${RUBY:-/usr/bin/ruby}
THIN_OPTS=${THIN_OPTS:-}
depend() {
need net localmount
}
checkconfig() {
[ ${SERVER} = thin -o ${NOCONFIG} != 0 ] && return 0
if [ ! -f ${CONFIG} ]; then
eerror "Unable to find the server configuration."
eerror "Please set the CONFIG variable in /etc/conf.d/${SVCNAME} or"
eerror "set NOCONFIG there to 1 to disable looking for a config file."
return 1
fi
}
buildargs() {
if [ ${NOCONFIG} = 0 -a ${SERVER} != thin ]; then
echo -n "-C ${CONFIG} "
fi
echo -n "${THIN_OPTS}"
}
action() {
checkconfig || return 1
if [ ${SERVER} = thin ]; then
ebegin "$2 all thin servers in ${CONFIG}"
${RUBY} /usr/bin/thin $1 $(buildargs) --all ${CONFIG}
eend $?
else
ebegin "$2 thin server ${SERVER}"
${RUBY} /usr/bin/thin $(buildargs) --tag ${SERVER} $1
eend $?
fi
}
start() {
action start 'Starting'
}
stop() {
action stop 'Stopping'
}
restart() {
action restart 'Restarting'
}

View file

@ -0,0 +1,78 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/thin/thin-1.2.11.ebuild,v 1.1 2011/06/12 17:13:51 a3li Exp $
EAPI=3
USE_RUBY="ruby18 ree18 ruby19"
RUBY_FAKEGEM_TASK_TEST="spec"
inherit ruby-fakegem
DESCRIPTION="A fast and very simple Ruby web server"
HOMEPAGE="http://code.macournoyer.com/thin/"
LICENSE="Ruby"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
IUSE=""
DEPEND="${DEPEND}
dev-util/ragel"
RDEPEND="${RDEPEND}"
# The runtime dependencies are used at build-time as well since the
# Rakefile loads thin!
mydeps=">=dev-ruby/daemons-1.0.9
>=dev-ruby/rack-1.0.0
>=dev-ruby/eventmachine-0.12.6
virtual/ruby-ssl"
ruby_add_rdepend "${mydeps}"
ruby_add_bdepend "${mydeps}
dev-ruby/rake-compiler
test? ( dev-ruby/rspec:0 )"
all_ruby_prepare() {
# Fix Ragel-based parser generation (uses a *very* old syntax that
# is not supported in Gentoo)
sed -i -e 's: | rlgen-cd::' Rakefile || die
# Fix specs' dependencies so that the extension is not rebuilt
# when running tests
sed -i -e '/:spec =>/s:^:#:' tasks/spec.rake || die
# Fix rspec version to allow newer 1.x versions
sed -i -e '/gem "rspec"/ s/1.2.9/1.0/' tasks/spec.rake || die
# Disable a test that is known for freezing the testsuite,
# reported upstream.
sed -i \
-e '/should force kill process in pid file/,/^ end/ s:^:#:' \
spec/daemonizing_spec.rb || die
rm spec/server/robustness_spec.rb || die
# nasty but too complex to fix up for now :(
use test || rm tasks/spec.rake
}
each_ruby_compile() {
${RUBY} -S rake compile || die "rake compile failed"
}
all_ruby_install() {
all_fakegem_install
keepdir /etc/thin
newinitd "${FILESDIR}"/${PN}.initd ${PN}
newconfd "${FILESDIR}"/${PN}.confd ${PN}
einfo
elog "Thin is now shipped with init scripts."
elog "The default script (/etc/init.d/thin) will start all servers that have"
elog "configuration files in /etc/thin/. You can symlink the init script to"
elog "files of the format 'thin.SERVER' to be able to start individual servers."
elog "See /etc/conf.d/thin for more configuration options."
einfo
}